Package Gnumed :: Package wxpython :: Module gmTextCtrl :: Class cColoredStatus_TextCtrlMixin |
[frames] | no frames]

# Class cColoredStatus_TextCtrlMixin

source code

Mixin for setting background color based on validity of content.

Note that due to Python MRO classes using this mixin must list it before their base class (because we override Enable/Disable).

Instance Methods
__init__(self, *args, **kwargs) | source code
display_as_valid(self, valid=None) | source code
display_as_disabled(self, disabled=None) | source code
Disable(self) | source code
Enable(self, enable=True) | source code